package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/30 15:20
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupQrcodeVO implements Serializable {

    @ApiModelProperty("群二维码标识")
    private  Long groupQrcodeId;

    @ApiModelProperty("分类标识")
    private Long classifyId;

    @ApiModelProperty("微信群名称")
    private String groupName;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("图书名称")
    private String bookName;

    @ApiModelProperty("群分类")
    private String classify;

    @ApiModelProperty("社群码标识")
    private String bookGroupId;

    @ApiModelProperty("群二维码名称")
    private String groupQrcodeName;

    @ApiModelProperty("运营ID")
    private Long channelId;

    @ApiModelProperty("编辑ID")
    private Long adviserId;

    @ApiModelProperty("是否已选")
    private Boolean isSelect;

    @ApiModelProperty("专业标签ID")
    private Long proLabelId;

    @ApiModelProperty("专业标签名称")
    private String proLabelName;

    @ApiModelProperty("深度标签ID")
    private Long depLabelId;

    @ApiModelProperty("深度标签名称")
    private String depLabelName;

    @ApiModelProperty("目的标签ID")
    private Long purLabelId;

    @ApiModelProperty("目的标签名称")
    private String purLabelName;

    @ApiModelProperty("用户数量")
    private Integer userNumber;

    @ApiModelProperty("7天活跃人数")
    private Integer weekActiveCount;

    @ApiModelProperty("ISBN编号")
    private String isbn;

    @ApiModelProperty("微信群名称")
    private String weixinGroupId;


    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(String bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Boolean getIsSelect() {
        return isSelect;
    }

    public void setIsSelect(Boolean isSelect) {
        this.isSelect = isSelect;
    }

    public Boolean getSelect() {
        return isSelect;
    }

    public void setSelect(Boolean select) {
        isSelect = select;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public String getProLabelName() {
        return proLabelName;
    }

    public void setProLabelName(String proLabelName) {
        this.proLabelName = proLabelName;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public String getDepLabelName() {
        return depLabelName;
    }

    public void setDepLabelName(String depLabelName) {
        this.depLabelName = depLabelName;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    public String getPurLabelName() {
        return purLabelName;
    }

    public void setPurLabelName(String purLabelName) {
        this.purLabelName = purLabelName;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public Integer getWeekActiveCount() {
        return weekActiveCount;
    }

    public void setWeekActiveCount(Integer weekActiveCount) {
        this.weekActiveCount = weekActiveCount;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    @Override
    public String toString() {
        return "GroupQrcodeVO{" +
                "groupQrcodeId=" + groupQrcodeId +
                ", classifyId=" + classifyId +
                ", groupName='" + groupName + '\'' +
                ", bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", classify='" + classify + '\'' +
                ", bookGroupId='" + bookGroupId + '\'' +
                ", groupQrcodeName='" + groupQrcodeName + '\'' +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", isSelect=" + isSelect +
                ", proLabelId=" + proLabelId +
                ", proLabelName='" + proLabelName + '\'' +
                ", depLabelId=" + depLabelId +
                ", depLabelName='" + depLabelName + '\'' +
                ", purLabelId=" + purLabelId +
                ", purLabelName='" + purLabelName + '\'' +
                ", userNumber=" + userNumber +
                ", weekActiveCount=" + weekActiveCount +
                ", isbn='" + isbn + '\'' +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                '}';
    }
}
